org.bouncycastle.asn1.x509

## Class SubjectDirectoryAttributes

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.SubjectDirectoryAttributes

All Implemented Interfaces:
  DEREncodable

    public class SubjectDirectoryAttributes
    extends ASN1Encodable

This extension may contain further X.500 attributes of the subject. See also RFC 3039.

         SubjectDirectoryAttributes ::= Attributes
         Attributes ::= SEQUENCE SIZE (1..MAX) OF Attribute
         Attribute ::= SEQUENCE
         {
           type AttributeType
           values SET OF AttributeValue
         }

         AttributeType ::= OBJECT IDENTIFIER
         AttributeValue ::= ANY DEFINED BY AttributeType

See Also:
  `for AttributeType ObjectIdentifiers.`

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SubjectDirectoryAttributes(ASN1Sequence seq)` Constructor from ASN1Sequence.
`SubjectDirectoryAttributes(java.util.Vector attributes)` Constructor from a vector of attributes.

### Method Summary

Methods
`java.util.Vector` `getAttributes()`
`static SubjectDirectoryAttributes` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectDirectoryAttributes

    public SubjectDirectoryAttributes(ASN1Sequence seq)

Constructor from ASN1Sequence. The sequence is of type SubjectDirectoryAttributes:

          SubjectDirectoryAttributes ::= Attributes
          Attributes ::= SEQUENCE SIZE (1..MAX) OF Attribute
          Attribute ::= SEQUENCE
          {
            type AttributeType
            values SET OF AttributeValue
          }

          AttributeType ::= OBJECT IDENTIFIER
          AttributeValue ::= ANY DEFINED BY AttributeType

Parameters:
  `seq` - The ASN.1 sequence.

#### SubjectDirectoryAttributes

    public SubjectDirectoryAttributes(java.util.Vector attributes)

Constructor from a vector of attributes. The vector consists of attributes of type `Attribute`

Parameters:
  `attributes` - The attributes.

### Method Detail

#### getInstance

    public static SubjectDirectoryAttributes getInstance(java.lang.Object obj)

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream. Returns:

          SubjectDirectoryAttributes ::= Attributes
          Attributes ::= SEQUENCE SIZE (1..MAX) OF Attribute
          Attribute ::= SEQUENCE
          {
            type AttributeType
            values SET OF AttributeValue
          }

          AttributeType ::= OBJECT IDENTIFIER
          AttributeValue ::= ANY DEFINED BY AttributeType

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a DERObject

#### getAttributes

    public java.util.Vector getAttributes()

Returns:
  Returns the attributes.